# BulkSubscribeMessage (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class BulkSubscribeMessage<T>

- java.lang.Object
- - io.dapr.client.domain.BulkSubscribeMessage<T>

    public final class BulkSubscribeMessage<T>
    extends Object

Represents a bulk of messages received from the message bus.

### Constructor Summary

Constructors
`BulkSubscribeMessage​(List<BulkSubscribeMessageEntry<T>> entries, String topic, Map<String,​String> metadata)` Instantiate a BulkSubscribeMessage.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<BulkSubscribeMessageEntry<T>>` `getEntries()`
`Map<String,​String>` `getMetadata()`
`String` `getTopic()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkSubscribeMessage

    public BulkSubscribeMessage​(List<BulkSubscribeMessageEntry<T>> entries,
                                String topic,
                                Map<String,​String> metadata)

Instantiate a BulkSubscribeMessage.

Parameters:
  `entries` - maps a `BulkSubscribeMessageEntry` to a `BulkSubscribeAppResponseStatus`.
  `topic` - pubSub topic.
  `metadata` - metadata for the `BulkSubscribeMessage`

### Method Detail

#### getEntries

    public List<BulkSubscribeMessageEntry<T>> getEntries()

#### getTopic

    public String getTopic()

#### getMetadata

    public Map<String,​String> getMetadata()